gnutls_tdb_set_store_commitment_func(3)

NAME
gnutls_tdb_set_store_commitment_func - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_tdb_set_store_commitment_func(gnutls_tdb_t tdb, gnutls_tdb_store_commitment_func cstore);

ARGUMENTS

gnutls_tdb_t tdb
    The trust storage

gnutls_tdb_store_commitment_func cstore
    The commitment storage function

DESCRIPTION
This function will associate a commitment (hash) storage function with the trust storage structure. The function is of the following form. gnutls_tdb_store_commitment_func(const char* db_name, const char* host, const char* service, time_t expiration, gnutls_digest_algorithm_t, const gnutls_datum_t* hash);

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/